
Redmine - Defect #4712

Redmine 0.9.1 upgraded from 0.8.7 (and gem to 1.3.5, rails to latest): redmine install down:

dependencies.rb:440:in `load_missing_constant': uninitialized constant

ActionController::AbstractRequest (NameError)

2010-02-02 04:38 - Beat  

Status: Closed Start date: 2010-02-02

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.1

Description

Although this looks similar to #4704, it's different. We don't run any special plugins, and tried to remove most core redmine

vendor/plugin without success...

Any ideas ?

It's pretty urgent, as our forge is now down since hours.

(Ubuntu 8.04LTS, with support from virtualmin guys, updated gems to latest 1.3.5, rails and all others to latest, see list below).

Our forge is now down after that upgrade from 0.8.7 to 0.9.1, due to a similar error, but issue seems different:

/home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:440:in `load

_missing_constant': uninitialized constant ActionController::AbstractRequest (NameError)

    from /home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:

in `const_missing'

    from /home/forge/public_html/vendor/plugins/actionwebservice/lib/action_web_service/protocol/a

bstract.rb:74

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:158

:in `require'

    from /home/forge/public_html/vendor/plugins/actionwebservice/lib/action_web_service/protocol.r

b:1

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

     ... 30 levels...

    from /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

    from /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    from /usr/bin/mongrel_rails:19:in `load'

    from /usr/bin/mongrel_rails:19

 As ActionController::AbstractRequest seems to have been replaced by ActionController::Request

we did this change which didn't check for ActionController::Request availability as elsewhere:

diff ../public_html-backup2010/vendor/plugins/actionwebservice/lib/action_web_service/protocol/abs

tract.rb vendor/plugins/actionwebservice/lib/action_web_service/protocol/abstract.rb

74c74

<     class SimpleActionPackRequest < ActionController::AbstractRequest # :nodoc:

---

>     class SimpleActionPackRequest < ActionController::Request # :nodoc:

 and that error didn't show anymore, but now shows this one:

/home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:440:in `load

_missing_constant': uninitialized constant ActionWebService::Dispatcher::ActionController::Invalid

AuthenticityToken (NameError)

    from /home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:
in `const_missing'

    from /home/forge/public_html/app/controllers/application_controller.rb:42

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:158

:in `require'

    from /home/forge/public_html/vendor/rails/activesupport/lib/active_support/dependencies.rb:265

:in `require_or_load_without_engine_additions'

    from /home/forge/public_html/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.

rb:124:in `require_or_load'

    from /home/forge/public_html/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.

rb:101:in `each'

     ... 34 levels...

    from /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

    from /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    from /usr/bin/mongrel_rails:19:in `load'

    from /usr/bin/mongrel_rails:19

 Which stumps my basic rails skills.

My settings:

1. gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

builder (2.1.2)

camping (1.5.180)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

fastthread (1.0.7)

gem_plugin (0.2.3)

markaby (0.5)

memcache-client (1.7.7)

metaid (1.0)

mongrel (1.1.5)

mysql (2.8.1)

rack (1.1.0, 1.0.1)

rails (2.3.5)

rake (0.8.7)

ruby-openid (2.1.7)

test-spec (0.10.0)

Any ideas how to fix this ?

History

#1 - 2010-02-02 05:24 - Beat  

- Status changed from New to Resolved

- % Done changed from 0 to 100

After a little more research found this one:

#4499

which was my issue:

update with virtualminPro failed due to not deleting old files on overwrite and not updating the rails. Virtualmin team knows about it and will sure fix

fast as usual.

So marking this one as resolved.
#2 - 2010-02-04 19:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2010-04-27 15:33 - Daniel Cairol

Hello there!!

I was having the same problem, which turned to be really trivial (missing " " embracing the ActionController::InvalidAuthenticityToken constant

declaration). Change your rescue_from clause like this:

rescue_from "ActionController::InvalidAuthenticityToken", :with => :bad_token

=D

#4 - 2010-07-13 08:05 - David Le Dieu

Sorry Daniel - where would I find that line, in which file?
